/*********************************************************
*RenBED_RGB                                              *
*Author: Elijah Orr                                      *
*                                                        *  
*A program that cycles through the 9 different states    *
*(including off) of a common anode RGB LED that are      *
*available via digital pin control.                      *
*********************************************************/

/* include the mbed library made by mbed.org that contains 
classes/functions designed to make programming mbed 
microcontrollers easier */
#include "mbed.h"

/* Set up 3 pins as digital out to control the colour
cathodes of the RGB LED */
DigitalOut Green(p18);
DigitalOut Red(p20);
DigitalOut Blue(p19);

/* the main function is where a program will begin to execute. */

/****************************************************************
* Function: main()                                              *
*                                                               *
* Sequences an RBG LED connected to the RenBED                  *
*                                                               *
* Inputs: none                                                  *
*                                                               *
* Returns: none                                                 *
****************************************************************/
int main()
{
    /* open a for loop with no parameters to start an infinite loop */
    for(;;){
        Red = 1;
        Blue = 1;
        Green = 1;                
        wait_ms(1000);
        Red = 1;
        Blue = 1;
        Green = 0;               
        wait_ms(1000);
        Red = 1;
        Blue = 0;
        Green = 1;                   
        wait_ms(1000);
        Red = 1;
        Blue = 0;
        Green = 0;
        wait_ms(1000);
        Red = 0;
        Blue = 1;
        Green = 1;
        wait_ms(1000);
        Red = 0;
        Blue = 1;
        Green = 0;
        wait_ms(1000);
        Red = 0;
        Blue = 0;
        Green = 1;
        wait_ms(1000);
        Red = 0;
        Blue = 0;
        Green = 0;
        wait_ms(3000);
    }
}
        
        